## RygelDBusInterface

RygelDBusInterface

## Functions

void | rygel_dbus_interface_shutdown ()

## Types and Values

#define | RYGEL_DBUS_INTERFACE_SERVICE_NAME
#define | RYGEL_DBUS_INTERFACE_OBJECT_PATH
| RygelDBusInterface
struct | RygelDBusInterfaceIface

## Object Hierarchy

        GInterface
        ╰── RygelDBusInterface

## Prerequisites

RygelDBusInterface requires GObject.

## Description

## Functions

### rygel_dbus_interface_shutdown ()

    void
    rygel_dbus_interface_shutdown (RygelDBusInterface *self,
                                   GError **error);

#### Parameters

self | the RygelDBusInterface instance |
error | location to store the error occuring, or `NULL` to ignore. | [error-domains GIOErrorEnum]

## Types and Values

### RYGEL_DBUS_INTERFACE_SERVICE_NAME

    #define RYGEL_DBUS_INTERFACE_SERVICE_NAME "org.gnome.Rygel1"

### RYGEL_DBUS_INTERFACE_OBJECT_PATH

    #define RYGEL_DBUS_INTERFACE_OBJECT_PATH "/org/gnome/Rygel1"

### RygelDBusInterface

    typedef struct _RygelDBusInterface RygelDBusInterface;

### struct RygelDBusInterfaceIface

    struct RygelDBusInterfaceIface {
    	GTypeInterface parent_iface;
    	void (*shutdown) (RygelDBusInterface* self, GError** error);
    };

Interface for creating RygelDBusInterface implementations.

#### Members

GTypeInterface `parent_iface`; | the parent interface structure |
`shutdown` () | virtual method called by `rygel_dbus_interface_shutdown()` |